BTRFS-BALANCE(8)

NAME
btrfs-balance - balance btrfs filesystem

SYNOPSIS

btrfs [filesystem] balance <subcommand>|<args>

DESCRIPTION

btrfs balance is used to balance chunks in a btrfs filesystem across multiple or even single device.

See btrfs-device(8) for more details about the effect on device management.

SUBCOMMAND

<path>
    Balance chunks across the devices online.

    btrfs balance <path> is deprecated, please use btrfs balance start command instead.

start [options] <path>
    Balance chunks across the devices online.

    Balance and/or convert (change allocation profile of) chunks that passed all filters in a comma-separated list of filters for a particular chunk type. If filter list is not given balance all chunks of that type. In case none of the -d, -m or -s options is given balance all chunks in a filesystem.

    Options

    -d[<filters>]
        act on data chunks

    -m[<filters>]
        act on metadata chunks

    -s[<filters>]
        act on system chunks (only under -f)

    -v
        be verbose

    -f
        force reducing of metadata integrity

pause <path>
    Pause running balance.

cancel <path>
    Cancel running or paused balance.

resume <path>
    Resume interrupted balance.

status [-v] <path>
    Show status of running or paused balance.

    If -v option is given, output will be verbose.

EXIT STATUS

btrfs balance returns a zero exist status if it succeeds. Non zero is returned in case of failure.

AVAILABILITY

btrfs is part of btrfs-progs. Please refer to the btrfs wiki http://btrfs.wiki.kernel.org for further details.

SEE ALSO

mkfs.btrfs(8), btrfs-device(8)